<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ospi2urdf: pyopsim Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ospi2urdf
   </div>
   <div id="projectbrief">Express .osim files as .urdf files.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">pyopsim Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html">OsimModel</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class creating a Osim Model, saving and updating useful informations about it.  <a href="classpyopsim_1_1OsimModel.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a3b688c6537afed2259feb618a81d229d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a3b688c6537afed2259feb618a81d229d">displayModel</a> (osimModel, osimState, <a class="el" href="namespacepyopsim.html#a51789b56e7ee8adcfa2d6d201380191a">trc_path</a>, compl_ik_path)</td></tr>
<tr class="memdesc:a3b688c6537afed2259feb618a81d229d"><td class="mdescLeft">&#160;</td><td class="mdescRight">(BETA).  <a href="#a3b688c6537afed2259feb618a81d229d">More...</a><br /></td></tr>
<tr class="separator:a3b688c6537afed2259feb618a81d229d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1bf5b9a13280b375b750838a44d113a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#ae1bf5b9a13280b375b750838a44d113a">getBodiesPositions</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:ae1bf5b9a13280b375b750838a44d113a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to get the positions of the body parts of the model, expressed into the global referential Ground.  <a href="#ae1bf5b9a13280b375b750838a44d113a">More...</a><br /></td></tr>
<tr class="separator:ae1bf5b9a13280b375b750838a44d113a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac518ca564768586929eeefc959f589ed"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#ac518ca564768586929eeefc959f589ed">getCorresJointsCoord</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:ac518ca564768586929eeefc959f589ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to get a quick access to the correspondances between the joints of the model and the coordinates associated with each one of those joints.  <a href="#ac518ca564768586929eeefc959f589ed">More...</a><br /></td></tr>
<tr class="separator:ac518ca564768586929eeefc959f589ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf912f284fdaba1643ecb7218e4d9ad6"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#adf912f284fdaba1643ecb7218e4d9ad6">getCorresQCoord</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:adf912f284fdaba1643ecb7218e4d9ad6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to get the correspondance between the index associated with the value of the joints of the model, for the variable coordinateSet and the variable Q.  <a href="#adf912f284fdaba1643ecb7218e4d9ad6">More...</a><br /></td></tr>
<tr class="separator:adf912f284fdaba1643ecb7218e4d9ad6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19739b02bfbcb33f005471da9b34ff27"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a19739b02bfbcb33f005471da9b34ff27">getGroundProperties</a> (osimModel)</td></tr>
<tr class="memdesc:a19739b02bfbcb33f005471da9b34ff27"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to gather some useful properties about the Ground link of the .osim model.  <a href="#a19739b02bfbcb33f005471da9b34ff27">More...</a><br /></td></tr>
<tr class="separator:a19739b02bfbcb33f005471da9b34ff27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad671c4425a42e12ad62cfe266ff4054f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#ad671c4425a42e12ad62cfe266ff4054f">getJacobian</a> (osimModel, osimState, v=osim.Vec3(), n=0)</td></tr>
<tr class="memdesc:ad671c4425a42e12ad62cfe266ff4054f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a 6xNQ frame task Jacobian, for a frame task A fixed to a body B designated by an index n.  <a href="#ad671c4425a42e12ad62cfe266ff4054f">More...</a><br /></td></tr>
<tr class="separator:ad671c4425a42e12ad62cfe266ff4054f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a781202b3a15e20094bd423aab07bc5ff"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a781202b3a15e20094bd423aab07bc5ff">getJointsLimits</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:a781202b3a15e20094bd423aab07bc5ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to get the limits values of each one of the DOF of the model.  <a href="#a781202b3a15e20094bd423aab07bc5ff">More...</a><br /></td></tr>
<tr class="separator:a781202b3a15e20094bd423aab07bc5ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36c2991f7c44a8dfc3abfffb13608103"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a36c2991f7c44a8dfc3abfffb13608103">getJointsPositions</a> (osimModel, osimState, refe=&quot;Ground&quot;, n=1)</td></tr>
<tr class="memdesc:a36c2991f7c44a8dfc3abfffb13608103"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to get the positions of one of the two frames of the joints of the model.  <a href="#a36c2991f7c44a8dfc3abfffb13608103">More...</a><br /></td></tr>
<tr class="separator:a36c2991f7c44a8dfc3abfffb13608103"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62fd65dbc9b4909b732e279a14019cff"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a62fd65dbc9b4909b732e279a14019cff">getJointsValues</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:a62fd65dbc9b4909b732e279a14019cff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to get, for each coordinate object of the .osim model, its value.  <a href="#a62fd65dbc9b4909b732e279a14019cff">More...</a><br /></td></tr>
<tr class="separator:a62fd65dbc9b4909b732e279a14019cff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8edc5175d0375abd6c5914041be7296f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a8edc5175d0375abd6c5914041be7296f">ikFromFile</a> (osimModel, osimState, <a class="el" href="namespacepyopsim.html#a51789b56e7ee8adcfa2d6d201380191a">trc_path</a>, compl_ik_path, mot_path)</td></tr>
<tr class="separator:a8edc5175d0375abd6c5914041be7296f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13a8c39c19abf139d7fb2809ec1c918b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a13a8c39c19abf139d7fb2809ec1c918b">Mnumpy</a> (matrix, mat_type)</td></tr>
<tr class="memdesc:a13a8c39c19abf139d7fb2809ec1c918b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transform a Mat33 object into a numpy array.  <a href="#a13a8c39c19abf139d7fb2809ec1c918b">More...</a><br /></td></tr>
<tr class="separator:a13a8c39c19abf139d7fb2809ec1c918b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcb104ece4103021eeee35c2fdcb0519"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#adcb104ece4103021eeee35c2fdcb0519">numpy</a> (matrix)</td></tr>
<tr class="memdesc:adcb104ece4103021eeee35c2fdcb0519"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to transform OpenSim Mat33 or Vec into numpy objects.  <a href="#adcb104ece4103021eeee35c2fdcb0519">More...</a><br /></td></tr>
<tr class="separator:adcb104ece4103021eeee35c2fdcb0519"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a765b3a1f1210d41e30d854a505ec0c31"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a765b3a1f1210d41e30d854a505ec0c31">printBodiesPositions</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:a765b3a1f1210d41e30d854a505ec0c31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to get the positions of the body parts of the model into the ground referential.  <a href="#a765b3a1f1210d41e30d854a505ec0c31">More...</a><br /></td></tr>
<tr class="separator:a765b3a1f1210d41e30d854a505ec0c31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96871d8131d523291742f6d1cdd55a19"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a96871d8131d523291742f6d1cdd55a19">printCorresQCoord</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:a96871d8131d523291742f6d1cdd55a19"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to print the correspondance between the index associated with the value of the joints of the model, for the variable coordinateSet and the variable Q.  <a href="#a96871d8131d523291742f6d1cdd55a19">More...</a><br /></td></tr>
<tr class="separator:a96871d8131d523291742f6d1cdd55a19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71baed3b35c1b98f13233035b71cca81"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a71baed3b35c1b98f13233035b71cca81">printFramesNumber</a> (osimModel)</td></tr>
<tr class="memdesc:a71baed3b35c1b98f13233035b71cca81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to print the index and the name of each frame associated with the model.  <a href="#a71baed3b35c1b98f13233035b71cca81">More...</a><br /></td></tr>
<tr class="separator:a71baed3b35c1b98f13233035b71cca81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20d69b37a701e90e96604bd2722ddf0c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a20d69b37a701e90e96604bd2722ddf0c">printJointsDivisionsIntoOneDOF</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:a20d69b37a701e90e96604bd2722ddf0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to print the correspondances between the joints of the model and the coordinates associated with each one of those joints.  <a href="#a20d69b37a701e90e96604bd2722ddf0c">More...</a><br /></td></tr>
<tr class="separator:a20d69b37a701e90e96604bd2722ddf0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07614de5abc15e2bdac9c921ccb8e0de"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a07614de5abc15e2bdac9c921ccb8e0de">printJointsLimits</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:a07614de5abc15e2bdac9c921ccb8e0de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to print the limits values of each one of the DOF of the model, based on the method getJointsLimits.  <a href="#a07614de5abc15e2bdac9c921ccb8e0de">More...</a><br /></td></tr>
<tr class="separator:a07614de5abc15e2bdac9c921ccb8e0de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5cf2ae7d7023c63e37c623d65abf464"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#ae5cf2ae7d7023c63e37c623d65abf464">printJointsPositions</a> (osimModel, osimState, refe=&quot;Ground&quot;, n=1)</td></tr>
<tr class="memdesc:ae5cf2ae7d7023c63e37c623d65abf464"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to print the positions of one of the two frames of the joints of the model, into a chosen referential.  <a href="#ae5cf2ae7d7023c63e37c623d65abf464">More...</a><br /></td></tr>
<tr class="separator:ae5cf2ae7d7023c63e37c623d65abf464"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a655035cd5c9e234cf9cd04623599ef74"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a655035cd5c9e234cf9cd04623599ef74">printJointsPositionsAllFrames</a> (osimModel, osimState, refe=&quot;Ground&quot;)</td></tr>
<tr class="memdesc:a655035cd5c9e234cf9cd04623599ef74"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to print the positions of all the frames of each joint, into a chosen referential "refe".  <a href="#a655035cd5c9e234cf9cd04623599ef74">More...</a><br /></td></tr>
<tr class="separator:a655035cd5c9e234cf9cd04623599ef74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f60cf1e5cdf3037f08680398095fad0"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a1f60cf1e5cdf3037f08680398095fad0">printJointsValues</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:a1f60cf1e5cdf3037f08680398095fad0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to print the value of each of the coordinates of the model.  <a href="#a1f60cf1e5cdf3037f08680398095fad0">More...</a><br /></td></tr>
<tr class="separator:a1f60cf1e5cdf3037f08680398095fad0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8e8c8724f4e839adb273d666d8662d5"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#ae8e8c8724f4e839adb273d666d8662d5">setQ</a> (osimModel, osimState, LQ)</td></tr>
<tr class="memdesc:ae8e8c8724f4e839adb273d666d8662d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to set the Q vector of a .osim Model, according to a list LQ.  <a href="#ae8e8c8724f4e839adb273d666d8662d5">More...</a><br /></td></tr>
<tr class="separator:ae8e8c8724f4e839adb273d666d8662d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6cdbbf0685f01c5f2ac1fa5764f2bee"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#ab6cdbbf0685f01c5f2ac1fa5764f2bee">setToNeutral</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:ab6cdbbf0685f01c5f2ac1fa5764f2bee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to set to 0 all of the values of the articulations of the system.  <a href="#ab6cdbbf0685f01c5f2ac1fa5764f2bee">More...</a><br /></td></tr>
<tr class="separator:ab6cdbbf0685f01c5f2ac1fa5764f2bee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af730c8bf40d50c30cab68925e4f47745"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#af730c8bf40d50c30cab68925e4f47745">tryForwardTool</a> (osimModel)</td></tr>
<tr class="memdesc:af730c8bf40d50c30cab68925e4f47745"><td class="mdescLeft">&#160;</td><td class="mdescRight">(BETA).  <a href="#af730c8bf40d50c30cab68925e4f47745">More...</a><br /></td></tr>
<tr class="separator:af730c8bf40d50c30cab68925e4f47745"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1def59d3bcac2a60e67cd98858085dbc"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a1def59d3bcac2a60e67cd98858085dbc">Vnumpy</a> (matrix, mat_type)</td></tr>
<tr class="memdesc:a1def59d3bcac2a60e67cd98858085dbc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transform a Vec object into a numpy array.  <a href="#a1def59d3bcac2a60e67cd98858085dbc">More...</a><br /></td></tr>
<tr class="separator:a1def59d3bcac2a60e67cd98858085dbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a9943cdc47fcab4aaa9250f232906cba0"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a9943cdc47fcab4aaa9250f232906cba0">geometry_path</a> = &quot;/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/SimulationDataAndSetupFiles-4.0/Geometry&quot;</td></tr>
<tr class="memdesc:a9943cdc47fcab4aaa9250f232906cba0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Path to the .vtp files associated with the .osim model.  <a href="#a9943cdc47fcab4aaa9250f232906cba0">More...</a><br /></td></tr>
<tr class="separator:a9943cdc47fcab4aaa9250f232906cba0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf06840bb7321db3b08b1b60a3792784"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#aaf06840bb7321db3b08b1b60a3792784">ik_path</a> = &quot;/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm26/OutputReference/InverseKinematics/&quot;</td></tr>
<tr class="memdesc:aaf06840bb7321db3b08b1b60a3792784"><td class="mdescLeft">&#160;</td><td class="mdescRight">Path to the folder containing Inverse Kinematics configuration file.  <a href="#aaf06840bb7321db3b08b1b60a3792784">More...</a><br /></td></tr>
<tr class="separator:aaf06840bb7321db3b08b1b60a3792784"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b2cdeddc2e39b6afd75bb7f97bcc5dc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a2b2cdeddc2e39b6afd75bb7f97bcc5dc">OS_model</a> = <a class="el" href="classpyopsim_1_1OsimModel.html">OsimModel</a>(<a class="el" href="namespacepyopsim.html#ac04608373464fc669028ef23af4033b4">scaled_MM_Moved_path</a>,<a class="el" href="namespacepyopsim.html#a9943cdc47fcab4aaa9250f232906cba0">geometry_path</a>,<a class="el" href="namespacepyopsim.html#aaf06840bb7321db3b08b1b60a3792784">ik_path</a>,<a class="el" href="namespacepyopsim.html#aa0012dbb9400ca356bc79721469efbda">setup_ik_path</a>,<a class="el" href="namespacepyopsim.html#a51789b56e7ee8adcfa2d6d201380191a">trc_path</a>)</td></tr>
<tr class="memdesc:a2b2cdeddc2e39b6afd75bb7f97bcc5dc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor of the <a class="el" href="classpyopsim_1_1OsimModel.html" title="Class creating a Osim Model, saving and updating useful informations about it. ">OsimModel</a> class.  <a href="#a2b2cdeddc2e39b6afd75bb7f97bcc5dc">More...</a><br /></td></tr>
<tr class="separator:a2b2cdeddc2e39b6afd75bb7f97bcc5dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac04608373464fc669028ef23af4033b4"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#ac04608373464fc669028ef23af4033b4">scaled_MM_Moved_path</a> = '/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm26/OutputReference/arm26.osim'</td></tr>
<tr class="memdesc:ac04608373464fc669028ef23af4033b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Complete path to the .osim file.  <a href="#ac04608373464fc669028ef23af4033b4">More...</a><br /></td></tr>
<tr class="separator:ac04608373464fc669028ef23af4033b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0012dbb9400ca356bc79721469efbda"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#aa0012dbb9400ca356bc79721469efbda">setup_ik_path</a> = '/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm26/OutputReference/InverseKinematics/Setup_IK_arm26_elbow_flex.xml'</td></tr>
<tr class="memdesc:aa0012dbb9400ca356bc79721469efbda"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the Inverse Kinematics configuration file.  <a href="#aa0012dbb9400ca356bc79721469efbda">More...</a><br /></td></tr>
<tr class="separator:aa0012dbb9400ca356bc79721469efbda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51789b56e7ee8adcfa2d6d201380191a"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a51789b56e7ee8adcfa2d6d201380191a">trc_path</a> = '/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm26/OutputReference/InverseKinematics/arm26_elbow_flex.trc'</td></tr>
<tr class="memdesc:a51789b56e7ee8adcfa2d6d201380191a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Path to a trc file associated with the .osim file.  <a href="#a51789b56e7ee8adcfa2d6d201380191a">More...</a><br /></td></tr>
<tr class="separator:a51789b56e7ee8adcfa2d6d201380191a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a3b688c6537afed2259feb618a81d229d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b688c6537afed2259feb618a81d229d">&#9670;&nbsp;</a></span>displayModel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.displayModel </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimState</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>trc_path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>compl_ik_path</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>(BETA). </p>
<p>Method used to display a .osim Model.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">osimState</td><td>: opensim.simbody.State. Object describing the state of a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">trc_path</td><td>: String Path to a trc file associated with the .osim file. This file contains the different positions of each one of the markers of the model, at each time. This file is then used to determine the position of each one of the joints of the model at each time.</td></tr>
    <tr><td class="paramname">compl_ik_path</td><td>: String. Complete path to the Inverse Kinematics configuration file.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

</div>
</div>
<a id="ae1bf5b9a13280b375b750838a44d113a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1bf5b9a13280b375b750838a44d113a">&#9670;&nbsp;</a></span>getBodiesPositions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.getBodiesPositions </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to get the positions of the body parts of the model, expressed into the global referential Ground. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">osimState</td><td>: opensim.simbody.State. Object describing the state of a .osim model, from the opensim module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>D_body_pos : Dictionary of list. Dictionary expressing, for each body part, its position and rotation matrix into the Ground referential.</dd></dl>
<p>Example : D_body_pos[hand_l] = [ M_p, M_R ] M_p = np.array([[0.5], [0.5], [0.75]]) M_R = np.eye(3,3) </p>

</div>
</div>
<a id="ac518ca564768586929eeefc959f589ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac518ca564768586929eeefc959f589ed">&#9670;&nbsp;</a></span>getCorresJointsCoord()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.getCorresJointsCoord </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to get a quick access to the correspondances between the joints of the model and the coordinates associated with each one of those joints. </p>
<p>A coordinate is associated to an unique joint, but a joint can have multiple coordinates.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">osimState</td><td>: opensim.simbody.State. Object describing the state of a .osim model, from the opensim module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>D_coord_joints : Dictionary. Dictionary linking the names of the coordinates objects to the name of their respective joints. Ex : D_coord_joints[pelvis_tx] = "pelvis" D_coord_joints[pelvis_ty] = "pelvis" D_coord_joints[pelvis_tz] = "pelvis" D_coord_joints[pelvis_rx] = "pelvis" D_coord_joints[pelvis_ry] = "pelvis" D_coord_joints[pelvis_rz] = "pelvis"</dd>
<dd>
D_joints_coord : Dictionary. Dictionary linking the names of the joints to the names of the coordinates objects associated with these joints. Ex : D_joints_coord[pelvis] = [pelvis_tx,pelvis_ty,pelvis_tz,pelvis_rx,pelvis_ry,pelvis_rz] </dd></dl>

</div>
</div>
<a id="adf912f284fdaba1643ecb7218e4d9ad6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf912f284fdaba1643ecb7218e4d9ad6">&#9670;&nbsp;</a></span>getCorresQCoord()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.getCorresQCoord </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to get the correspondance between the index associated with the value of the joints of the model, for the variable coordinateSet and the variable Q. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">osimState</td><td>: opensim.simbody.State. Object describing the state of a .osim model, from the opensim module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>D_Q_coord : Dictionary. D_Q_coord is organised as follows : D_Q_coord[i] = j &lt;&mdash;&gt; Q[i] = coordinateSet[j].getValue(osimState).</dd></dl>
<p>The value of coordinate j (wrt CoordinateSet) corresponds to the i-th component of Q from osimState. </p>

</div>
</div>
<a id="a19739b02bfbcb33f005471da9b34ff27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19739b02bfbcb33f005471da9b34ff27">&#9670;&nbsp;</a></span>getGroundProperties()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.getGroundProperties </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to gather some useful properties about the Ground link of the .osim model. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>D_gd_prop : Dictionary of list. Dictionary containing, for each of the coordinates (= DOF) names of the Ground joint, the type and the axis associated with this coordinate. </dd></dl>

</div>
</div>
<a id="ad671c4425a42e12ad62cfe266ff4054f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad671c4425a42e12ad62cfe266ff4054f">&#9670;&nbsp;</a></span>getJacobian()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.getJacobian </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimState</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>v</em> = <code>osim.Vec3()</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>n</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return a 6xNQ frame task Jacobian, for a frame task A fixed to a body B designated by an index n. </p>
<p>NQ is the size of the vector Q. The origin of the frame task A into the referential B is expressed by the vector v.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">osimState</td><td>: opensim.simbody.State. Object describing the state of a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">v</td><td>: opensim.simbody.Vec3, optional. Origin of the frame task A into the referential B. The default is osim.Vec3().</td></tr>
    <tr><td class="paramname">n</td><td>: Int, optional. Mobilized Body Index. The body index to which the frame of interest is fixed. The default is 0.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

</div>
</div>
<a id="a781202b3a15e20094bd423aab07bc5ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a781202b3a15e20094bd423aab07bc5ff">&#9670;&nbsp;</a></span>getJointsLimits()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.getJointsLimits </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to get the limits values of each one of the DOF of the model. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">osimState</td><td>: opensim.simbody.State. Object describing the state of a .osim model, from the opensim module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>D_joints_range : Dictionary of List D_joints_range is organised as follows : D_joints_range[i] = [lower limit of DOF i, upper limit of DOF i]. </dd></dl>

</div>
</div>
<a id="a36c2991f7c44a8dfc3abfffb13608103"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36c2991f7c44a8dfc3abfffb13608103">&#9670;&nbsp;</a></span>getJointsPositions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.getJointsPositions </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimState</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>refe</em> = <code>&quot;Ground&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>n</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to get the positions of one of the two frames of the joints of the model. </p>
<p>The positions of the selected frames can then be expressed into the global referential "Ground" of the model, or the referential of the parent joint "Parent" of the selected joint.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">osimState</td><td>: opensim.simbody.State. Object describing the state of a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">refe</td><td>: String, optional. <pre class="fragment">Type of referential chosen to express the joints position. Two choices
are available : 

refe = "Ground", to express the positions into the global referential 
Ground. 

refe = "Parent", to express the positions into the referential of the parent
joint of the selected joint. This could be useful to determine the position 
of the joint compared to the previous joint.

The default is "Ground".
</pre></td></tr>
    <tr><td class="paramname">n</td><td>: Int, optional. <pre class="fragment">Value associated with the joint frame to be selected for each of the 
joints.
Two frames are available : one frame fixed in relation to the parent joint, 
the other fixed in relation to the current joint. 

n = 0 : frame fixed in relation to the parent joint.

n = 1 : frame fixed in relation to the current joint.

The default is 1.
</pre></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>D_joints_pos : Dictionary of list. Dictionary expressing, for each joint, its position and rotation matrix in the chosen referential.</dd></dl>
<p>Example : D_joints_pos[pelvis] = [ M_p, M_R ] M_p = np.array([[0.], [2.], [0.]]) M_R = np.eye(3,3) </p>

</div>
</div>
<a id="a62fd65dbc9b4909b732e279a14019cff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62fd65dbc9b4909b732e279a14019cff">&#9670;&nbsp;</a></span>getJointsValues()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.getJointsValues </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to get, for each coordinate object of the .osim model, its value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">osimState</td><td>: opensim.simbody.State. Object describing the state of a .osim model, from the opensim module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>D_joint_value : Dictionary. Dictionary expressing, for each coordinate object, its value. Example : D_joint_value[pelvis_ty] = 2.0 </dd></dl>

</div>
</div>
<a id="a8edc5175d0375abd6c5914041be7296f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8edc5175d0375abd6c5914041be7296f">&#9670;&nbsp;</a></span>ikFromFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.ikFromFile </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimState</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>trc_path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>compl_ik_path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>mot_path</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">osimState</td><td>: opensim.simbody.State. Object describing the state of a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">trc_path</td><td>: String Path to a trc file associated with the .osim file. This file contains the different positions of each one of the markers of the model, at each time. This file is then used to determine the position of each one of the joints of the model at each time.</td></tr>
    <tr><td class="paramname">compl_ik_path</td><td>: String. Complete path to the Inverse Kinematics configuration file.</td></tr>
    <tr><td class="paramname">mot_path</td><td>: String Path to the output motion file of Inverse Kinematics.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

</div>
</div>
<a id="a13a8c39c19abf139d7fb2809ec1c918b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13a8c39c19abf139d7fb2809ec1c918b">&#9670;&nbsp;</a></span>Mnumpy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.Mnumpy </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>matrix</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>mat_type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Transform a Mat33 object into a numpy array. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">matrix</td><td>: opensim.simbody.Mat33. Opensim Mat33 </td></tr>
    <tr><td class="paramname">mat_type</td><td>: type. Type of the vector (String, float, int, ...)</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>M : numpy.array. Matrix array. </dd></dl>

</div>
</div>
<a id="adcb104ece4103021eeee35c2fdcb0519"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adcb104ece4103021eeee35c2fdcb0519">&#9670;&nbsp;</a></span>numpy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.numpy </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>matrix</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to transform OpenSim Mat33 or Vec into numpy objects. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">matrix</td><td>: opensim.simbody.Mat33 or opensim.simbody.Vec. Input Opensim matrix.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>M : numpy.array. Output matrix, as array. </dd></dl>

</div>
</div>
<a id="a765b3a1f1210d41e30d854a505ec0c31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a765b3a1f1210d41e30d854a505ec0c31">&#9670;&nbsp;</a></span>printBodiesPositions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.printBodiesPositions </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to get the positions of the body parts of the model into the ground referential. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">osimState</td><td>: opensim.simbody.State. Object describing the state of a .osim model, from the opensim module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

</div>
</div>
<a id="a96871d8131d523291742f6d1cdd55a19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96871d8131d523291742f6d1cdd55a19">&#9670;&nbsp;</a></span>printCorresQCoord()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.printCorresQCoord </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to print the correspondance between the index associated with the value of the joints of the model, for the variable coordinateSet and the variable Q. </p>
<p>This method is based on the method getCorresQCoord.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">osimState</td><td>: opensim.simbody.State. Object describing the state of a .osim model, from the opensim module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

</div>
</div>
<a id="a71baed3b35c1b98f13233035b71cca81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71baed3b35c1b98f13233035b71cca81">&#9670;&nbsp;</a></span>printFramesNumber()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.printFramesNumber </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to print the index and the name of each frame associated with the model. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

</div>
</div>
<a id="a20d69b37a701e90e96604bd2722ddf0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20d69b37a701e90e96604bd2722ddf0c">&#9670;&nbsp;</a></span>printJointsDivisionsIntoOneDOF()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.printJointsDivisionsIntoOneDOF </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to print the correspondances between the joints of the model and the coordinates associated with each one of those joints. </p>
<p>Based on the method getCorresJointsCoord.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">osimState</td><td>: opensim.simbody.State. Object describing the state of a .osim model, from the opensim module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

</div>
</div>
<a id="a07614de5abc15e2bdac9c921ccb8e0de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07614de5abc15e2bdac9c921ccb8e0de">&#9670;&nbsp;</a></span>printJointsLimits()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.printJointsLimits </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to print the limits values of each one of the DOF of the model, based on the method getJointsLimits. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">osimState</td><td>: opensim.simbody.State. Object describing the state of a .osim model, from the opensim module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

</div>
</div>
<a id="ae5cf2ae7d7023c63e37c623d65abf464"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5cf2ae7d7023c63e37c623d65abf464">&#9670;&nbsp;</a></span>printJointsPositions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.printJointsPositions </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimState</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>refe</em> = <code>&quot;Ground&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>n</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to print the positions of one of the two frames of the joints of the model, into a chosen referential. </p>
<p>Based on the method getJointsPositions.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">osimState</td><td>: opensim.simbody.State. Object describing the state of a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">refe</td><td>: String, optional. <pre class="fragment">Type of referential chosen to express the joints position. Two choices
are available : 

refe = "Ground", to express the positions into the global referential 
Ground. 

refe = "Parent", to express the positions into the referential of the parent
joint of the selected joint. This could be useful to determine the position 
of the joint compared to the previous joint.

The default is "Ground".
</pre></td></tr>
    <tr><td class="paramname">n</td><td>: Int, optional. <pre class="fragment">Value associated with the joint frame to be selected for each of the 
joints.
Two frames are available : one frame fixed in relation to the parent joint, 
the other fixed in relation to the current joint. 

n = 0 : frame fixed in relation to the parent joint.

n = 1 : frame fixed in relation to the current joint.

The default is 1.
</pre></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

</div>
</div>
<a id="a655035cd5c9e234cf9cd04623599ef74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a655035cd5c9e234cf9cd04623599ef74">&#9670;&nbsp;</a></span>printJointsPositionsAllFrames()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.printJointsPositionsAllFrames </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimState</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>refe</em> = <code>&quot;Ground&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to print the positions of all the frames of each joint, into a chosen referential "refe". </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">osimState</td><td>: opensim.simbody.State. Object describing the state of a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">refe</td><td>: String, optional. <pre class="fragment">Type of referential chosen to express the joints position. Two choices
are available : 

refe = "Ground", to express the positions into the global referential 
Ground.

refe = "Parent", to express the positions into the referential of the parent
joint of the selected joint. This could be useful to determine the position 
of the joint compared to the previous joint.

The default is "Ground".
</pre></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

</div>
</div>
<a id="a1f60cf1e5cdf3037f08680398095fad0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f60cf1e5cdf3037f08680398095fad0">&#9670;&nbsp;</a></span>printJointsValues()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.printJointsValues </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to print the value of each of the coordinates of the model. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">osimState</td><td>: opensim.simbody.State. Object describing the state of a .osim model, from the opensim module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

</div>
</div>
<a id="ae8e8c8724f4e839adb273d666d8662d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8e8c8724f4e839adb273d666d8662d5">&#9670;&nbsp;</a></span>setQ()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.setQ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimState</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>LQ</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to set the Q vector of a .osim Model, according to a list LQ. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">osimState</td><td>: opensim.simbody.State. Object describing the state of a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">LQ</td><td>: List. List containing the values of each joint of the model.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

</div>
</div>
<a id="ab6cdbbf0685f01c5f2ac1fa5764f2bee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6cdbbf0685f01c5f2ac1fa5764f2bee">&#9670;&nbsp;</a></span>setToNeutral()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.setToNeutral </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Method used to set to 0 all of the values of the articulations of the system. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
    <tr><td class="paramname">osimState</td><td>: opensim.simbody.State. Object describing the state of a .osim model, from the opensim module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

</div>
</div>
<a id="af730c8bf40d50c30cab68925e4f47745"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af730c8bf40d50c30cab68925e4f47745">&#9670;&nbsp;</a></span>tryForwardTool()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.tryForwardTool </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>osimModel</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>(BETA). </p>
<p>Method used to try the Forward Tool of Opensim.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">osimModel</td><td>: opensim.simulation.Model. Object describing a .osim model, from the opensim module.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None. </dd></dl>

</div>
</div>
<a id="a1def59d3bcac2a60e67cd98858085dbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1def59d3bcac2a60e67cd98858085dbc">&#9670;&nbsp;</a></span>Vnumpy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyopsim.Vnumpy </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>matrix</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>mat_type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Transform a Vec object into a numpy array. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">matrix</td><td>: opensim.simbody.Vec. Opensim Vector </td></tr>
    <tr><td class="paramname">mat_type</td><td>: type. Type of the vector (String, float, int, ...)</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>V : numpy.array. Vector array. </dd></dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a9943cdc47fcab4aaa9250f232906cba0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9943cdc47fcab4aaa9250f232906cba0">&#9670;&nbsp;</a></span>geometry_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string geometry_path = &quot;/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/SimulationDataAndSetupFiles-4.0/Geometry&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Path to the .vtp files associated with the .osim model. </p>

</div>
</div>
<a id="aaf06840bb7321db3b08b1b60a3792784"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf06840bb7321db3b08b1b60a3792784">&#9670;&nbsp;</a></span>ik_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string ik_path = &quot;/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm26/OutputReference/InverseKinematics/&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Path to the folder containing Inverse Kinematics configuration file. </p>

</div>
</div>
<a id="a2b2cdeddc2e39b6afd75bb7f97bcc5dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b2cdeddc2e39b6afd75bb7f97bcc5dc">&#9670;&nbsp;</a></span>OS_model</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OS_model = <a class="el" href="classpyopsim_1_1OsimModel.html">OsimModel</a>(<a class="el" href="namespacepyopsim.html#ac04608373464fc669028ef23af4033b4">scaled_MM_Moved_path</a>,<a class="el" href="namespacepyopsim.html#a9943cdc47fcab4aaa9250f232906cba0">geometry_path</a>,<a class="el" href="namespacepyopsim.html#aaf06840bb7321db3b08b1b60a3792784">ik_path</a>,<a class="el" href="namespacepyopsim.html#aa0012dbb9400ca356bc79721469efbda">setup_ik_path</a>,<a class="el" href="namespacepyopsim.html#a51789b56e7ee8adcfa2d6d201380191a">trc_path</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor of the <a class="el" href="classpyopsim_1_1OsimModel.html" title="Class creating a Osim Model, saving and updating useful informations about it. ">OsimModel</a> class. </p>

</div>
</div>
<a id="ac04608373464fc669028ef23af4033b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac04608373464fc669028ef23af4033b4">&#9670;&nbsp;</a></span>scaled_MM_Moved_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string scaled_MM_Moved_path = '/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm26/OutputReference/arm26.osim'</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Complete path to the .osim file. </p>

</div>
</div>
<a id="aa0012dbb9400ca356bc79721469efbda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0012dbb9400ca356bc79721469efbda">&#9670;&nbsp;</a></span>setup_ik_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string setup_ik_path = '/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm26/OutputReference/InverseKinematics/Setup_IK_arm26_elbow_flex.xml'</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name of the Inverse Kinematics configuration file. </p>

</div>
</div>
<a id="a51789b56e7ee8adcfa2d6d201380191a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51789b56e7ee8adcfa2d6d201380191a">&#9670;&nbsp;</a></span>trc_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string trc_path = '/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm26/OutputReference/InverseKinematics/arm26_elbow_flex.trc'</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Path to a trc file associated with the .osim file. </p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
